POST v1/history

Request Information

URI Parameters

None.

Body Parameters

PaymentHistoryRequestDto
NameDescriptionTypeAdditional information
UserId

string

None.

ProviderId

string

None.

CurrentPage

integer

None.

PageSize

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "userId": "sample string 1",
  "providerId": "sample string 2",
  "currentPage": 1,
  "pageSize": 3
}

application/xml, text/xml

Sample:
<PaymentHistoryRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Version1">
  <CurrentPage>1</CurrentPage>
  <PageSize>3</PageSize>
  <ProviderId>sample string 2</ProviderId>
  <UserId>sample string 1</UserId>
</PaymentHistoryRequestDto>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

ApiResponseNewOfPaymentHistoryResponseMainDto
NameDescriptionTypeAdditional information
status

integer

None.

message

string

None.

data

PaymentHistoryResponseMainDto

None.

Response Formats

application/json, text/json

Sample:
{
  "status": 1,
  "message": "sample string 2",
  "data": {
    "currentPage": 1,
    "pageSize": 2,
    "totalPages": 3,
    "totalRecords": 4,
    "endPage": 5,
    "startPage": 6,
    "payments": [
      {
        "id": "64f1dea9-0c89-43c0-9f1e-751416dad921",
        "recordAt": "sample string 2",
        "amount": 3.0,
        "receiptUrl": "sample string 4",
        "providerEmail": "sample string 5",
        "operatorEmail": "sample string 6",
        "operatorID": "65f0acf1-a5b0-4c35-8ce0-14646e06d667",
        "providerID": "45ac65be-cdb4-498c-9ed7-d7b8f97f7763",
        "paymentType": "sample string 7",
        "comments": "sample string 8",
        "title": "sample string 9",
        "recordCount": 10
      },
      {
        "id": "64f1dea9-0c89-43c0-9f1e-751416dad921",
        "recordAt": "sample string 2",
        "amount": 3.0,
        "receiptUrl": "sample string 4",
        "providerEmail": "sample string 5",
        "operatorEmail": "sample string 6",
        "operatorID": "65f0acf1-a5b0-4c35-8ce0-14646e06d667",
        "providerID": "45ac65be-cdb4-498c-9ed7-d7b8f97f7763",
        "paymentType": "sample string 7",
        "comments": "sample string 8",
        "title": "sample string 9",
        "recordCount": 10
      }
    ]
  }
}

application/xml, text/xml

Sample:
<ApiResponseNewOfPaymentHistoryResponseMainDtoqfWPY2Au xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Version1">
  <data>
    <CurrentPage>1</CurrentPage>
    <EndPage>5</EndPage>
    <PageSize>2</PageSize>
    <Result>
      <Message>sample string 1</Message>
      <Status>2</Status>
    </Result>
    <StartPage>6</StartPage>
    <TotalPages>3</TotalPages>
    <TotalRecords>4</TotalRecords>
    <payments>
      <PaymentHistoryResponseDto>
        <Amount>3</Amount>
        <Comments>sample string 8</Comments>
        <ID>64f1dea9-0c89-43c0-9f1e-751416dad921</ID>
        <OperatorEmail>sample string 6</OperatorEmail>
        <OperatorID>65f0acf1-a5b0-4c35-8ce0-14646e06d667</OperatorID>
        <PaymentType>sample string 7</PaymentType>
        <ProviderEmail>sample string 5</ProviderEmail>
        <ProviderID>45ac65be-cdb4-498c-9ed7-d7b8f97f7763</ProviderID>
        <ReceiptUrl>sample string 4</ReceiptUrl>
        <RecordAt>sample string 2</RecordAt>
        <RecordCount>10</RecordCount>
        <Title>sample string 9</Title>
      </PaymentHistoryResponseDto>
      <PaymentHistoryResponseDto>
        <Amount>3</Amount>
        <Comments>sample string 8</Comments>
        <ID>64f1dea9-0c89-43c0-9f1e-751416dad921</ID>
        <OperatorEmail>sample string 6</OperatorEmail>
        <OperatorID>65f0acf1-a5b0-4c35-8ce0-14646e06d667</OperatorID>
        <PaymentType>sample string 7</PaymentType>
        <ProviderEmail>sample string 5</ProviderEmail>
        <ProviderID>45ac65be-cdb4-498c-9ed7-d7b8f97f7763</ProviderID>
        <ReceiptUrl>sample string 4</ReceiptUrl>
        <RecordAt>sample string 2</RecordAt>
        <RecordCount>10</RecordCount>
        <Title>sample string 9</Title>
      </PaymentHistoryResponseDto>
    </payments>
  </data>
  <message>sample string 2</message>
  <status>1</status>
</ApiResponseNewOfPaymentHistoryResponseMainDtoqfWPY2Au>